## org.apache.cassandra.dht
Class AbstractBounds

    java.lang.Object
      org.apache.cassandra.dht.AbstractBounds

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Bounds, Range

    public abstract class AbstractBounds

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`Token` `left`
`protected IPartitioner` `partitioner`
`Token` `right`

Constructor Summary
`AbstractBounds(Token left, Token right, IPartitioner partitioner)`

Method Summary
`abstract boolean` `contains(Token start)`
`abstract boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`abstract java.util.Set<AbstractBounds>` `restrictTo(Range range)`
`static ICompactSerializer2<AbstractBounds>` `serializer()`
`abstract java.util.List<AbstractBounds>` `unwrap()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### left

    public final Token left

### right

    public final Token right

### partitioner

    protected final transient IPartitioner partitioner

Constructor Detail

### AbstractBounds

    public AbstractBounds(Token left,
                          Token right,
                          IPartitioner partitioner)

Method Detail

### serializer

    public static ICompactSerializer2<AbstractBounds> serializer()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public abstract boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### contains

    public abstract boolean contains(Token start)

### restrictTo

    public abstract java.util.Set<AbstractBounds> restrictTo(Range range)

### unwrap

    public abstract java.util.List<AbstractBounds> unwrap()

Copyright © 2010 The Apache Software Foundation